<!-- ##### SECTION Title ##### -->
gimpprotocol

<!-- ##### SECTION Short_Description ##### -->
The communication protocol between GIMP and it's plug-ins.

<!-- ##### SECTION Long_Description ##### -->
<para>
The communication protocol between GIMP and it's plug-ins.

</para>

<!-- ##### SECTION See_Also ##### -->
<para>
#libgimp-gimpwire
</para>

<!-- ##### MACRO GIMP_PROTOCOL_VERSION ##### -->
<para>

</para>



<!-- ##### STRUCT GPConfig ##### -->
<para>

</para>

@version: 
@tile_width: 
@tile_height: 
@shm_ID: 
@check_size: 
@check_type: 
@show_help_button: 
@gimp_reserved_4: 
@gimp_reserved_5: 
@gimp_reserved_6: 
@gimp_reserved_7: 
@gimp_reserved_8: 
@install_cmap: 
@show_tool_tips: 
@min_colors: 
@gdisp_ID: 
@app_name: 
@wm_class: 
@display_name: 
@monitor_number: 

<!-- ##### STRUCT GPTileReq ##### -->
<para>

</para>

@drawable_ID: 
@tile_num: 
@shadow: 

<!-- ##### STRUCT GPTileAck ##### -->
<para>

</para>


<!-- ##### STRUCT GPTileData ##### -->
<para>

</para>

@drawable_ID: 
@tile_num: 
@shadow: 
@bpp: 
@width: 
@height: 
@use_shm: 
@data: 

<!-- ##### STRUCT GPParam ##### -->
<para>

</para>

@type: 
@d_display: 
@d_image: 
@d_layer: 
@d_channel: 
@d_drawable: 
@d_selection: 
@d_boundary: 
@d_path: 
@d_status: 

<!-- ##### STRUCT GPParamDef ##### -->
<para>

</para>

@type: 
@name: 
@description: 

<!-- ##### STRUCT GPProcRun ##### -->
<para>

</para>

@name: 
@nparams: 
@params: 

<!-- ##### STRUCT GPProcReturn ##### -->
<para>

</para>

@name: 
@nparams: 
@params: 

<!-- ##### STRUCT GPProcInstall ##### -->
<para>

</para>

@name: 
@blurb: 
@help: 
@author: 
@copyright: 
@date: 
@menu_path: 
@image_types: 
@type: 
@nparams: 
@nreturn_vals: 
@params: 
@return_vals: 

<!-- ##### STRUCT GPProcUninstall ##### -->
<para>

</para>

@name: 

<!-- ##### FUNCTION gp_init ##### -->
<para>

</para>



<!-- ##### FUNCTION gp_has_init_write ##### -->
<para>

</para>

@channel: 
@user_data: 
@Returns: 


<!-- ##### FUNCTION gp_quit_write ##### -->
<para>

</para>

@channel: 
@user_data: 
@Returns: 


<!-- ##### FUNCTION gp_config_write ##### -->
<para>

</para>

@channel: 
@config: 
@user_data: 
@Returns: 


<!-- ##### FUNCTION gp_tile_req_write ##### -->
<para>

</para>

@channel: 
@tile_req: 
@user_data: 
@Returns: 


<!-- ##### FUNCTION gp_tile_ack_write ##### -->
<para>

</para>

@channel: 
@user_data: 
@Returns: 


<!-- ##### FUNCTION gp_tile_data_write ##### -->
<para>

</para>

@channel: 
@tile_data: 
@user_data: 
@Returns: 


<!-- ##### FUNCTION gp_proc_run_write ##### -->
<para>

</para>

@channel: 
@proc_run: 
@user_data: 
@Returns: 


<!-- ##### FUNCTION gp_proc_return_write ##### -->
<para>

</para>

@channel: 
@proc_return: 
@user_data: 
@Returns: 


<!-- ##### FUNCTION gp_temp_proc_run_write ##### -->
<para>

</para>

@channel: 
@proc_run: 
@user_data: 
@Returns: 


<!-- ##### FUNCTION gp_temp_proc_return_write ##### -->
<para>

</para>

@channel: 
@proc_return: 
@user_data: 
@Returns: 


<!-- ##### FUNCTION gp_proc_install_write ##### -->
<para>

</para>

@channel: 
@proc_install: 
@user_data: 
@Returns: 


<!-- ##### FUNCTION gp_proc_uninstall_write ##### -->
<para>

</para>

@channel: 
@proc_uninstall: 
@user_data: 
@Returns: 


<!-- ##### FUNCTION gp_extension_ack_write ##### -->
<para>

</para>

@channel: 
@user_data: 
@Returns: 


